"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenJson = flattenJson;
exports.keyValueArrayToObject = keyValueArrayToObject;
function flattenJson(obj, prefix = "") {
    const result = [];
    function _flatten(currentObj, currentPrefix) {
        for (const [key, value] of Object.entries(currentObj)) {
            const newKey = currentPrefix ? `${currentPrefix}.${key}` : key;
            if (value && typeof value === "object" && !Array.isArray(value)) {
                _flatten(value, newKey);
            }
            else {
                result.push({
                    key: newKey,
                    value: value,
                });
            }
        }
    }
    _flatten(obj, prefix);
    return result;
}
function keyValueArrayToObject(obj) {
    const result = {};
    for (const { key, value } of obj) {
        result[key] = value;
    }
    return result;
}
